1. CreditCardPay
ANexPay Docs
  • Introduction
  • Signature
  • API Keys
  • Get Started
  • Webhook Service
  • Enum Reference
  • Api Reference
    • Authentication
      • Get Auth Token
    • Hosted Payment Page
      • Hosted Payment Page
    • CreditCardPay
      • List Payment History
        POST
      • Get Payment Detail
        POST
      • Refund
        POST
      • List Subscriptions
        POST
      • Get Subscription Detail
        POST
      • Cancel Subscription
        POST
      • Get Subscription Bills
        POST
    • StableCoinPay
      • order
        • GetCheckoutOrderList
      • refund-order
        • CreateRefundOrder
        • CancelRefundOrder
        • GetRefundOrderInfo
        • GetRefundOrderList
      • settlement
        • CreateFiatSettlementOrder
        • CancelSettlementOrder
        • GetSettlementOrderList
      • abnormal-payment
        • GetAbnormalPaymentList
        • CreateAbnormalPaymentRefund
  • Schemas
    • Schemas
      • RefundOrderDTO
      • RefundPageReq
      • ApiPageApiPageRefundOrderDTO
      • ApiResponseApiPageRefundOrderDTO
      • CancelReq
  1. CreditCardPay

List Subscriptions

Developing
POST
/checkout/credit-card/subscriptions/list
Get a paginated list of subscriptions, with optional status filtering, order by created date desc.

Request

Body Params application/jsonRequired

Example
{
  "page": 1,
  "size": 10,
  "status": "ACTIVE"
}

Responses

🟢200成功
application/json
Bodyapplication/json

Example
{
  "retcode": "200",
  "retmsg": null,
  "retdata": {
    "records": [
      {
        "id": 1001,
        "mchSubscriptionNo": "SUB-20240423-001",
        "status": "ACTIVE",
        "amount": 9.99,
        "currency": "USD",
        "intervalUnit": "month",
        "intervalCount": 1,
        "createdTime": "2024-04-23T10:00:00"
      }
    ],
    "total": 1,
    "pageSize": 10,
    "pageNo": 1
  }
}
Modified at 2026-06-03 08:40:41
Previous
Refund
Next
Get Subscription Detail
Built with